package de.antco.projekt.model;

public class Vehicle {
    private final int id;
    private final int personId;
    private final String brand;
    private final String model;
    private final String plate;

    public Vehicle(int id, int personId, String brand, String model, String plate) {
        this.id = id;
        this.personId = personId;
        this.brand = brand;
        this.model = model;
        this.plate = plate;
    }

    public int getId() {
        return id;
    }

    public int getPersonId() {
        return personId;
    }

    public String getBrand() {
        return brand;
    }

    public String getModel() {
        return model;
    }

    public String getPlate() {
        return plate;
    }

    @Override
    public String toString() {
        return id + " - " + brand + " " + model + " | " + plate;
    }
}
